import request from '@/utils/request'

/**
 * 首页接口
 */

// 获取首页前四个数据
const getHomeData = function() {
    return request({
        url: '/home/getHomePageData.do',
        method: 'get'
    })
}

// 首页后三个总趋势图
const getTrendData = function(params) {
    return request({
        url: '/home/getTrendData.do',
        method: 'get',
        params
    })
}

// 手机统计 type=1
// 骑行排行榜 type=0
const getRankData = function(params) {
    return request({
        url: '/home/getRankData.do',
        method: 'get',
        params
    })
}

export default {
    getHomeData,
    getTrendData,
    getRankData
}
